%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pypi_name pdfkit

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        5%{?dist}
Summary:        Wkhtmltopdf python wrapper

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/JazzCore/python-pdfkit
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
%if 0%{?with_python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3
Requires:       python3
Requires:       wkhtmltopdf
%endif # if with_python3

Requires:       wkhtmltopdf

%description
Python 2 wrapper for wkhtmltopdf utility to convert HTML to PDF using Webkit.

This is an adapted version of Ruby PDFKit.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Wkhtmltopdf python wrapper
Group:          Development/Libraries

%description -n python3-%{pypi_name}
Python 3 wrapper for wkhtmltopdf utility to convert HTML to PDF using Webkit.

This is an adapted version of Ruby PDFKit.
%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3

%files
%doc README.rst LICENSE HISTORY.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE HISTORY.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog

* Sun Oct 19 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.4.1-5
- Fix Python3  dependency

* Thu Oct 16 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.4.1-4
- Fix Python3 macros in %%build 

* Fri Oct 03 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.4.1-3
- Subpackage for Python3

* Tue Sep 30 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.4.1-2
- Fixing %%doc macro

* Sat Sep 20 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.4.1-1
- Initial package.
